{
  "name": "six-aio.web",
  "version": "0.0.0",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "run-p type-check \"build-aio {@}\" --",
    "preview": "vite preview",
    "build-aio": "vite build --base=/aio/",
    "type-check": "vue-tsc --build --force",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
    "format": "prettier --write src/"
  },
  "dependencies": {
    "@alova/mock": "^2.0.7",
    "@vueuse/core": "^11.1.0",
    "@vueuse/router": "^11.1.0",
    "alova": "^3.0.20",
    "echarts": "^5.5.1",
    "eruda": "^3.4.0",
    "eruda-features": "^2.1.0",
    "eruda-monitor": "^1.0.2",
    "eruda-timing": "^2.0.1",
    "p5": "^1.11.0",
    "pinia": "^2.2.4",
    "pinia-plugin-persistedstate": "^4.1.1",
    "qrcode.vue": "^3.6.0",
    "svg-pathdata": "^7.1.0",
    "vant": "4",
    "vconsole": "^3.15.1",
    "vue": "^3.5.11",
    "vue-echarts": "^7.0.3",
    "vue-router": "^4.4.5"
  },
  "devDependencies": {
    "@rushstack/eslint-patch": "^1.8.0",
    "@tsconfig/node20": "^20.1.4",
    "@types/node": "^20.14.5",
    "@types/p5": "^1.7.6",
    "@vant/auto-import-resolver": "^1.2.1",
    "@vitejs/plugin-vue": "^5.0.5",
    "@vitejs/plugin-vue-jsx": "^4.0.0",
    "@vue/eslint-config-prettier": "^10.0.0",
    "@vue/eslint-config-typescript": "^14.0.0",
    "@vue/tsconfig": "^0.5.1",
    "autoprefixer": "^10.4.20",
    "eslint": "^9.12.0",
    "eslint-plugin-vue": "^9.28.0",
    "npm-run-all2": "^6.2.3",
    "postcss": "^8.4.47",
    "postcss-import": "^16.1.0",
    "prettier": "^3.3.3",
    "sass-embedded": "^1.79.4",
    "tailwindcss": "^3.4.13",
    "typescript": "~5.6.2",
    "unplugin-auto-import": "^0.18.3",
    "unplugin-vue-components": "^0.27.4",
    "vite": "^5.4.8",
    "vite-plugin-mkcert": "^1.17.6",
    "vite-plugin-vue-devtools": "^7.4.6",
    "vue-tsc": "^2.1.6"
  }
}
